package com.platform.yijia.param.request;

/***
 * <Title> WeChatPaySetRequest </Title>
 * <Description> 实体类：微信子商户支付参数  </Description>
 * @date  2020年12月11日
 * @Author JK
 */
public class WeChatPaySetRequest {
    String mno;                     // 商编
    String subMchIdsubMchId;        // 微信子商号: 例如：渠道子商户号“childNo”:“225505167”
    String type;                    // 配置类型: 01 支付Appid; 02 关注Appid; 03 jsapi授权目录
    String subAppid;                // 支付Appid      配置类型为01，02时必传
    String accountType;             // 支付Appid类型  配置类型为01时必传
    String subscribeAppid;          // 推荐关注公众号Appid 配置类型为 02时与推荐关注  小程序Appid二选一
    String receiptAppid;            // 推荐关注小程序Appid 配置类型为02时与推荐关注 公众号Appid二选一
    String jsapiPath;               // jsapi授权目录 配置类型为03时必传

    public String getMno() {
        return mno;
    }

    public void setMno(String mno) {
        this.mno = mno;
    }

    public String getSubMchIdsubMchId() {
        return subMchIdsubMchId;
    }

    public void setSubMchIdsubMchId(String subMchIdsubMchId) {
        this.subMchIdsubMchId = subMchIdsubMchId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSubAppid() {
        return subAppid;
    }

    public void setSubAppid(String subAppid) {
        this.subAppid = subAppid;
    }

    public String getAccountType() {
        return accountType;
    }

    public void setAccountType(String accountType) {
        this.accountType = accountType;
    }

    public String getSubscribeAppid() {
        return subscribeAppid;
    }

    public void setSubscribeAppid(String subscribeAppid) {
        this.subscribeAppid = subscribeAppid;
    }

    public String getReceiptAppid() {
        return receiptAppid;
    }

    public void setReceiptAppid(String receiptAppid) {
        this.receiptAppid = receiptAppid;
    }

    public String getJsapiPath() {
        return jsapiPath;
    }

    public void setJsapiPath(String jsapiPath) {
        this.jsapiPath = jsapiPath;
    }
}
